<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DistroInfos: entities/window/include/window.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
<link href="doxygen-awesome.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">DistroInfos
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('window_8h_source.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">window.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="window_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">//</span></div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment">// Created by Daniele Giuliani on 6/13/22.</span></div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment">//</span></div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160; </div>
<div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="preprocessor">#ifndef DISTROINFOS_WINDOW_H</span></div>
<div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="preprocessor">#define DISTROINFOS_WINDOW_H</span></div>
<div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160; </div>
<div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="preprocessor">#include &lt;SDL2/SDL.h&gt;</span></div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="preprocessor">#include &lt;SDL2/SDL_image.h&gt;</span></div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160; </div>
<div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="preprocessor">#include &quot;../../string/include/string.h&quot;</span></div>
<div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="preprocessor">#include &quot;../../uuid/include/uuid.h&quot;</span></div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160; </div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="preprocessor">#ifdef DISTROINFOS_WINDOW_IMPORT</span></div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="preprocessor">#define EXTERN</span></div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="preprocessor">#else</span></div>
<div class="line"><a name="l00017"></a><span class="lineno"><a class="line" href="window_8h.html#a77366c1bd428629dc898e188bfd182a3">   17</a></span>&#160;<span class="preprocessor">#define EXTERN extern</span></div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="preprocessor">#endif</span></div>
<div class="line"><a name="l00019"></a><span class="lineno"><a class="line" href="window_8h.html#ac20c80020036bc28cfc3f699f79b9180">   19</a></span>&#160;<span class="keyword">typedef</span> <span class="keyword">enum</span> <a class="code" href="window_8h.html#ac20c80020036bc28cfc3f699f79b9180">WindowPositionsEnum</a> {</div>
<div class="line"><a name="l00020"></a><span class="lineno"><a class="line" href="window_8h.html#ac20c80020036bc28cfc3f699f79b9180a2159ffbd3a68037511ab5ab4dd35ace7">   20</a></span>&#160;    <a class="code" href="window_8h.html#ac20c80020036bc28cfc3f699f79b9180a2159ffbd3a68037511ab5ab4dd35ace7">CENTER</a> = SDL_WINDOWPOS_CENTERED,</div>
<div class="line"><a name="l00021"></a><span class="lineno"><a class="line" href="window_8h.html#ac20c80020036bc28cfc3f699f79b9180a605159e8a4c32319fd69b5d151369d93">   21</a></span>&#160;    <a class="code" href="window_8h.html#ac20c80020036bc28cfc3f699f79b9180a605159e8a4c32319fd69b5d151369d93">UNDEFINED</a> = SDL_WINDOWPOS_UNDEFINED</div>
<div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;} <a class="code" href="window_8h.html#aeaf4082d29c321358fa903e05407d3fa">WindowPositions</a>;</div>
<div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160; </div>
<div class="line"><a name="l00024"></a><span class="lineno"><a class="line" href="window_8h.html#a145d53f2e8ed981aac72adb2e80bba74">   24</a></span>&#160;<span class="keyword">typedef</span> <span class="keyword">enum</span> <a class="code" href="window_8h.html#a145d53f2e8ed981aac72adb2e80bba74">WindowTypesEnum</a> {</div>
<div class="line"><a name="l00025"></a><span class="lineno"><a class="line" href="window_8h.html#a145d53f2e8ed981aac72adb2e80bba74a96a92720d3d9970db2d464166b8a569e">   25</a></span>&#160;    <a class="code" href="window_8h.html#a145d53f2e8ed981aac72adb2e80bba74a96a92720d3d9970db2d464166b8a569e">SPLASH</a> = SDL_WINDOW_BORDERLESS|SDL_WINDOW_OPENGL,</div>
<div class="line"><a name="l00026"></a><span class="lineno"><a class="line" href="window_8h.html#a145d53f2e8ed981aac72adb2e80bba74a41c6eb506ccf657cc7e958c8e8c769cd">   26</a></span>&#160;    <a class="code" href="window_8h.html#a145d53f2e8ed981aac72adb2e80bba74a41c6eb506ccf657cc7e958c8e8c769cd">MAIN</a> = SDL_WINDOW_VULKAN</div>
<div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;} <a class="code" href="window_8h.html#ac2189eede9c03ed0f6ef559dafc208bc">WindowTypes</a>;</div>
<div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160; </div>
<div class="line"><a name="l00029"></a><span class="lineno"><a class="line" href="window_8h.html#afd15d98ee86456f1002213293d6fbb8a">   29</a></span>&#160;<span class="keyword">typedef</span> <span class="keyword">struct </span><a class="code" href="struct_w_i_n_d_o_w.html">WINDOW</a> <a class="code" href="struct_w_i_n_d_o_w.html">WindowClass</a>;</div>
<div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160; </div>
<div class="line"><a name="l00031"></a><span class="lineno"><a class="line" href="struct_w_i_n_d_o_w.html">   31</a></span>&#160;<span class="keyword">struct </span><a class="code" href="struct_w_i_n_d_o_w.html">WINDOW</a> {</div>
<div class="line"><a name="l00032"></a><span class="lineno"><a class="line" href="struct_w_i_n_d_o_w.html#a0399eb78125961fc22085d4aac6b0d15">   32</a></span>&#160;    <span class="keyword">const</span> <span class="keywordtype">void</span> *<span class="keyword">class</span>;  <span class="comment">/* must be first */</span></div>
<div class="line"><a name="l00033"></a><span class="lineno"><a class="line" href="struct_w_i_n_d_o_w.html#ae54efda219ff233e2e9091a7300cb33e">   33</a></span>&#160;    <span class="keywordtype">int</span> <a class="code" href="struct_w_i_n_d_o_w.html#ae54efda219ff233e2e9091a7300cb33e">splash</a>;</div>
<div class="line"><a name="l00034"></a><span class="lineno"><a class="line" href="struct_w_i_n_d_o_w.html#a525d7765f214d3564dd0646d4459fee6">   34</a></span>&#160;    <span class="keywordtype">int</span> <a class="code" href="struct_w_i_n_d_o_w.html#a525d7765f214d3564dd0646d4459fee6">is_main_window</a>;</div>
<div class="line"><a name="l00035"></a><span class="lineno"><a class="line" href="struct_w_i_n_d_o_w.html#ac20922fac488c617dcd7fa781aaef2db">   35</a></span>&#160;    <a class="code" href="struct_s_t_r_i_n_g.html">StringClass</a> *<a class="code" href="struct_w_i_n_d_o_w.html#ac20922fac488c617dcd7fa781aaef2db">name</a>;</div>
<div class="line"><a name="l00036"></a><span class="lineno"><a class="line" href="struct_w_i_n_d_o_w.html#aa5c30ec3e3fc372af365f299e7a6abde">   36</a></span>&#160;    <a class="code" href="struct_u_u_i_d.html">UuidClass</a> *<a class="code" href="struct_w_i_n_d_o_w.html#aa5c30ec3e3fc372af365f299e7a6abde">uuid</a>;</div>
<div class="line"><a name="l00037"></a><span class="lineno"><a class="line" href="struct_w_i_n_d_o_w.html#aaa8e409e04dcf575ef63fd5fb3db06f9">   37</a></span>&#160;    SDL_Window *<a class="code" href="struct_w_i_n_d_o_w.html#aaa8e409e04dcf575ef63fd5fb3db06f9">window</a>;</div>
<div class="line"><a name="l00038"></a><span class="lineno"><a class="line" href="struct_w_i_n_d_o_w.html#a2f5cac12e913bcfcff660305bf88dd3b">   38</a></span>&#160;    SDL_Surface *<a class="code" href="struct_w_i_n_d_o_w.html#a2f5cac12e913bcfcff660305bf88dd3b">surface</a>;</div>
<div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;    <span class="comment">/*---------THERE&#39;S NOTHING BELOW---------*/</span></div>
<div class="line"><a name="l00040"></a><span class="lineno"><a class="line" href="struct_w_i_n_d_o_w.html#a966da7a60c4ea3ba301e26ccc5efe452">   40</a></span>&#160;    <span class="comment">/*---*/</span>  SDL_Renderer *<a class="code" href="struct_w_i_n_d_o_w.html#a966da7a60c4ea3ba301e26ccc5efe452">renderer</a>;    <span class="comment">/*---*/</span></div>
<div class="line"><a name="l00041"></a><span class="lineno"><a class="line" href="struct_w_i_n_d_o_w.html#a859b8efbf9abe8e82757ee5c75a0c97c">   41</a></span>&#160;    <span class="comment">/*---*/</span>  SDL_Texture *<a class="code" href="struct_w_i_n_d_o_w.html#a859b8efbf9abe8e82757ee5c75a0c97c">texture</a>;      <span class="comment">/*---*/</span></div>
<div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;    <span class="comment">/*---------THERE&#39;S NOTHING ABOVE---------*/</span></div>
<div class="line"><a name="l00043"></a><span class="lineno"><a class="line" href="struct_w_i_n_d_o_w.html#ab5e3aa2ee28fe5a624f1c45095fd2b51">   43</a></span>&#160;    void (*<a class="code" href="struct_w_i_n_d_o_w.html#ab5e3aa2ee28fe5a624f1c45095fd2b51">prepareRender</a>) (<a class="code" href="struct_w_i_n_d_o_w.html">WindowClass</a> *<a class="code" href="struct_w_i_n_d_o_w.html#aaa8e409e04dcf575ef63fd5fb3db06f9">window</a>);</div>
<div class="line"><a name="l00044"></a><span class="lineno"><a class="line" href="struct_w_i_n_d_o_w.html#af8ba408155d09b4ff60666c146839ca7">   44</a></span>&#160;    void (*<a class="code" href="struct_w_i_n_d_o_w.html#af8ba408155d09b4ff60666c146839ca7">render</a>) (<a class="code" href="struct_w_i_n_d_o_w.html">WindowClass</a> *<a class="code" href="struct_w_i_n_d_o_w.html#aaa8e409e04dcf575ef63fd5fb3db06f9">window</a>);</div>
<div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;};</div>
<div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160; </div>
<div class="line"><a name="l00058"></a><span class="lineno"><a class="line" href="window_8h.html#a6c274563105b264d363cff991ce7b78a">   58</a></span>&#160;<a class="code" href="window_8h.html#a77366c1bd428629dc898e188bfd182a3">EXTERN</a> <span class="keyword">const</span> <span class="keywordtype">void</span> * <a class="code" href="window_8h.html#a6c274563105b264d363cff991ce7b78a">Window</a>;</div>
<div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160; </div>
<div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;<span class="preprocessor">#undef DISTROINFOS_WINDOW_IMPORT</span></div>
<div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;<span class="preprocessor">#undef EXTERN</span></div>
<div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160; </div>
<div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;<span class="preprocessor">#endif //DISTROINFOS_WINDOW_H</span></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<div class="ttc" id="awindow_8h_html_ac20c80020036bc28cfc3f699f79b9180a2159ffbd3a68037511ab5ab4dd35ace7"><div class="ttname"><a href="window_8h.html#ac20c80020036bc28cfc3f699f79b9180a2159ffbd3a68037511ab5ab4dd35ace7">CENTER</a></div><div class="ttdeci">@ CENTER</div><div class="ttdef"><b>Definition:</b> window.h:20</div></div>
<div class="ttc" id="astruct_w_i_n_d_o_w_html_ae54efda219ff233e2e9091a7300cb33e"><div class="ttname"><a href="struct_w_i_n_d_o_w.html#ae54efda219ff233e2e9091a7300cb33e">WINDOW::splash</a></div><div class="ttdeci">int splash</div><div class="ttdef"><b>Definition:</b> window.h:33</div></div>
<div class="ttc" id="awindow_8h_html_ac20c80020036bc28cfc3f699f79b9180"><div class="ttname"><a href="window_8h.html#ac20c80020036bc28cfc3f699f79b9180">WindowPositionsEnum</a></div><div class="ttdeci">WindowPositionsEnum</div><div class="ttdef"><b>Definition:</b> window.h:19</div></div>
<div class="ttc" id="astruct_w_i_n_d_o_w_html_af8ba408155d09b4ff60666c146839ca7"><div class="ttname"><a href="struct_w_i_n_d_o_w.html#af8ba408155d09b4ff60666c146839ca7">WINDOW::render</a></div><div class="ttdeci">void(* render)(WindowClass *window)</div><div class="ttdef"><b>Definition:</b> window.h:44</div></div>
<div class="ttc" id="awindow_8h_html_aeaf4082d29c321358fa903e05407d3fa"><div class="ttname"><a href="window_8h.html#aeaf4082d29c321358fa903e05407d3fa">WindowPositions</a></div><div class="ttdeci">enum WindowPositionsEnum WindowPositions</div></div>
<div class="ttc" id="astruct_w_i_n_d_o_w_html_a2f5cac12e913bcfcff660305bf88dd3b"><div class="ttname"><a href="struct_w_i_n_d_o_w.html#a2f5cac12e913bcfcff660305bf88dd3b">WINDOW::surface</a></div><div class="ttdeci">SDL_Surface * surface</div><div class="ttdef"><b>Definition:</b> window.h:38</div></div>
<div class="ttc" id="astruct_s_t_r_i_n_g_html"><div class="ttname"><a href="struct_s_t_r_i_n_g.html">STRING</a></div><div class="ttdef"><b>Definition:</b> string.h:16</div></div>
<div class="ttc" id="astruct_w_i_n_d_o_w_html_a525d7765f214d3564dd0646d4459fee6"><div class="ttname"><a href="struct_w_i_n_d_o_w.html#a525d7765f214d3564dd0646d4459fee6">WINDOW::is_main_window</a></div><div class="ttdeci">int is_main_window</div><div class="ttdef"><b>Definition:</b> window.h:34</div></div>
<div class="ttc" id="astruct_w_i_n_d_o_w_html"><div class="ttname"><a href="struct_w_i_n_d_o_w.html">WINDOW</a></div><div class="ttdef"><b>Definition:</b> window.h:31</div></div>
<div class="ttc" id="astruct_u_u_i_d_html"><div class="ttname"><a href="struct_u_u_i_d.html">UUID</a></div><div class="ttdef"><b>Definition:</b> uuid.h:17</div></div>
<div class="ttc" id="astruct_w_i_n_d_o_w_html_a859b8efbf9abe8e82757ee5c75a0c97c"><div class="ttname"><a href="struct_w_i_n_d_o_w.html#a859b8efbf9abe8e82757ee5c75a0c97c">WINDOW::texture</a></div><div class="ttdeci">SDL_Texture * texture</div><div class="ttdef"><b>Definition:</b> window.h:41</div></div>
<div class="ttc" id="astruct_w_i_n_d_o_w_html_aa5c30ec3e3fc372af365f299e7a6abde"><div class="ttname"><a href="struct_w_i_n_d_o_w.html#aa5c30ec3e3fc372af365f299e7a6abde">WINDOW::uuid</a></div><div class="ttdeci">UuidClass * uuid</div><div class="ttdef"><b>Definition:</b> window.h:36</div></div>
<div class="ttc" id="astruct_w_i_n_d_o_w_html_aaa8e409e04dcf575ef63fd5fb3db06f9"><div class="ttname"><a href="struct_w_i_n_d_o_w.html#aaa8e409e04dcf575ef63fd5fb3db06f9">WINDOW::window</a></div><div class="ttdeci">SDL_Window * window</div><div class="ttdef"><b>Definition:</b> window.h:37</div></div>
<div class="ttc" id="awindow_8h_html_a145d53f2e8ed981aac72adb2e80bba74a96a92720d3d9970db2d464166b8a569e"><div class="ttname"><a href="window_8h.html#a145d53f2e8ed981aac72adb2e80bba74a96a92720d3d9970db2d464166b8a569e">SPLASH</a></div><div class="ttdeci">@ SPLASH</div><div class="ttdef"><b>Definition:</b> window.h:25</div></div>
<div class="ttc" id="awindow_8h_html_a145d53f2e8ed981aac72adb2e80bba74a41c6eb506ccf657cc7e958c8e8c769cd"><div class="ttname"><a href="window_8h.html#a145d53f2e8ed981aac72adb2e80bba74a41c6eb506ccf657cc7e958c8e8c769cd">MAIN</a></div><div class="ttdeci">@ MAIN</div><div class="ttdef"><b>Definition:</b> window.h:26</div></div>
<div class="ttc" id="awindow_8h_html_a77366c1bd428629dc898e188bfd182a3"><div class="ttname"><a href="window_8h.html#a77366c1bd428629dc898e188bfd182a3">EXTERN</a></div><div class="ttdeci">#define EXTERN</div><div class="ttdef"><b>Definition:</b> window.h:17</div></div>
<div class="ttc" id="awindow_8h_html_ac20c80020036bc28cfc3f699f79b9180a605159e8a4c32319fd69b5d151369d93"><div class="ttname"><a href="window_8h.html#ac20c80020036bc28cfc3f699f79b9180a605159e8a4c32319fd69b5d151369d93">UNDEFINED</a></div><div class="ttdeci">@ UNDEFINED</div><div class="ttdef"><b>Definition:</b> window.h:21</div></div>
<div class="ttc" id="awindow_8h_html_ac2189eede9c03ed0f6ef559dafc208bc"><div class="ttname"><a href="window_8h.html#ac2189eede9c03ed0f6ef559dafc208bc">WindowTypes</a></div><div class="ttdeci">enum WindowTypesEnum WindowTypes</div></div>
<div class="ttc" id="astruct_w_i_n_d_o_w_html_a966da7a60c4ea3ba301e26ccc5efe452"><div class="ttname"><a href="struct_w_i_n_d_o_w.html#a966da7a60c4ea3ba301e26ccc5efe452">WINDOW::renderer</a></div><div class="ttdeci">SDL_Renderer * renderer</div><div class="ttdef"><b>Definition:</b> window.h:40</div></div>
<div class="ttc" id="awindow_8h_html_a145d53f2e8ed981aac72adb2e80bba74"><div class="ttname"><a href="window_8h.html#a145d53f2e8ed981aac72adb2e80bba74">WindowTypesEnum</a></div><div class="ttdeci">WindowTypesEnum</div><div class="ttdef"><b>Definition:</b> window.h:24</div></div>
<div class="ttc" id="astruct_w_i_n_d_o_w_html_ab5e3aa2ee28fe5a624f1c45095fd2b51"><div class="ttname"><a href="struct_w_i_n_d_o_w.html#ab5e3aa2ee28fe5a624f1c45095fd2b51">WINDOW::prepareRender</a></div><div class="ttdeci">void(* prepareRender)(WindowClass *window)</div><div class="ttdef"><b>Definition:</b> window.h:43</div></div>
<div class="ttc" id="astruct_w_i_n_d_o_w_html_ac20922fac488c617dcd7fa781aaef2db"><div class="ttname"><a href="struct_w_i_n_d_o_w.html#ac20922fac488c617dcd7fa781aaef2db">WINDOW::name</a></div><div class="ttdeci">StringClass * name</div><div class="ttdef"><b>Definition:</b> window.h:35</div></div>
<div class="ttc" id="awindow_8h_html_a6c274563105b264d363cff991ce7b78a"><div class="ttname"><a href="window_8h.html#a6c274563105b264d363cff991ce7b78a">Window</a></div><div class="ttdeci">const EXTERN void * Window</div><div class="ttdef"><b>Definition:</b> window.h:58</div></div>
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_9404ca00d5cf333c309ae0ebf80749c4.html">entities</a></li><li class="navelem"><a class="el" href="dir_20a11ebd8f7c0325c2aa10fc0cdc0bc1.html">window</a></li><li class="navelem"><a class="el" href="dir_17eec169d1246d7190bae05723702bc7.html">include</a></li><li class="navelem"><a class="el" href="window_8h.html">window.h</a></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.17 </li>
  </ul>
</div>
</body>
</html>
